我无法在响应之间读取所有的响应表单设备-mgt。我有一个错误,说明“连接#0到主机本地主机完好无损”。你能帮我修一下吗?
示例响应:
{"id":98,"dateOfEnrolment":1517461050248,"dateOfLastUpdate":1517461050248,"ownership":"BYOD","status":"ACTIVE","owner":"admin"}},{"id":99,"name":"003","type":"camera","description":"003","deviceIdentifier":"003","enrolmentInfo":{"id":99,"dateOfEnrolment":1517461108463,"dateOfLastUpdate":1517461108463,"ownership":"BYOD","status":"ACTIVE","owner":"admin"}},**{"id":100,"n* Connection #0 to host 192.168.1.18 left intact** ame":"004","type":"camera","description":"004","deviceIdentifier":"004","enrolmentInfo":{"id":100,"dateOfEnrolment":1517461156563,"dateOfLastUpdate":1517461156563,"ownership":"BYOD","status":"ACTIVE","owner":"admin"}},{"id":101,"name":"005","type":"camera","description":"005","deviceIdentifier":"005","enrolmentInfo":{"id":101,"dateOfEnrolment":1517461200437,"dateOfLastUpdate":1517461200437,"ownership":"BYOD","status":"ACTIVE","owner":"admin"}}]
发布于 2018-02-01 11:12:25
看来你的卷发命令不正确。
解决方案:
请试下命令;
curl -k -X GET 'https://192.168.1.18:8243/api/device-mgt/v1.0/devices?offset=0&limit=100' -H 'authorization: Bearer 41871ba0-3f12-3deb-a253-3911712a8187'解释:
根据CURL命令,您正在尝试端口8243。端口8243是HTTPS。因此,您需要将协议指定为https://192.168.1.18:8243。您还可以使用端口8280进行HTTP通信。
编辑:您需要在API调用的主机名地址之前添加https://。请仔细参考上述API调用。并请参考这个医生的偏移量和限制参数。您可以使用偏移量和限制参数的分页方式查询设备。
https://stackoverflow.com/questions/48559369
复制相似问题